apiVersion: kubeadm.k8s.io/v1beta2
kind: ClusterConfiguration
kubernetesVersion: v1.18.0
apiServer:
  certSANs:    #填写所有kube-apiserver节点的hostname、IP、VIP
  - master01
  - master02
  - master03
  - node01
  - node02
  - node03
  - 192.168.16.121
  - 192.168.16.122
  - 192.168.16.123
  - 192.168.16.161
  - 192.168.16.162
  - 192.168.16.163
  - 192.168.16.100
imageRepository: "registry.aliyuncs.com/google_containers"
controlPlaneEndpoint: "192.168.16.100:6443"
networking:
  podSubnet: "10.244.0.0/16"
